From 0920a3ef12a58c466534854449a10e6cfa5c6834 Mon Sep 17 00:00:00 2001
From: Aleksa Sarai <asarai@suse.de>
Date: Fri, 29 Apr 2022 12:44:21 +1000
Subject: [PATCH 6/6] bsc1193930: vendor: update golang.org/x/crypto

This is necessary to fix several security issues that Docker hasn't
backported to their CE branch:

 * CVE-2022-27191
 * CVE-2021-43565

SUSE-Bugs: bsc#1193930 bsc#1197284
Signed-off-by: Aleksa Sarai <asarai@suse.de>
---
 vendor.conf                                   |    2 +-
 vendor/golang.org/x/crypto/README.md          |    2 +
 vendor/golang.org/x/crypto/acme/acme.go       |  805 +++++
 .../x/crypto/acme/autocert/autocert.go        | 1193 ++++++++
 .../x/crypto/acme/autocert/cache.go           |  136 +
 .../acme/autocert/internal/acmetest/ca.go     |  762 +++++
 .../x/crypto/acme/autocert/listener.go        |  155 +
 .../x/crypto/acme/autocert/renewal.go         |  156 +
 vendor/golang.org/x/crypto/acme/http.go       |  325 ++
 .../crypto/acme/internal/acmeprobe/prober.go  |  433 +++
 vendor/golang.org/x/crypto/acme/jws.go        |  232 ++
 vendor/golang.org/x/crypto/acme/rfc8555.go    |  438 +++
 vendor/golang.org/x/crypto/acme/types.go      |  614 ++++
 .../golang.org/x/crypto/acme/version_go112.go |   28 +
 vendor/golang.org/x/crypto/argon2/argon2.go   |  285 ++
 vendor/golang.org/x/crypto/argon2/blake2b.go  |   53 +
 .../x/crypto/argon2/blamka_amd64.go           |   61 +
 .../golang.org/x/crypto/argon2/blamka_amd64.s |  244 ++
 .../x/crypto/argon2/blamka_generic.go         |  163 +
 .../golang.org/x/crypto/argon2/blamka_ref.go  |   16 +
 vendor/golang.org/x/crypto/bcrypt/base64.go   |   35 +
 vendor/golang.org/x/crypto/bcrypt/bcrypt.go   |  295 ++
 vendor/golang.org/x/crypto/blake2b/blake2b.go |  291 ++
 .../x/crypto/blake2b/blake2bAVX2_amd64.go     |   38 +
 .../x/crypto/blake2b/blake2bAVX2_amd64.s      |  745 +++++
 .../x/crypto/blake2b/blake2b_amd64.go         |   25 +
 .../x/crypto/blake2b/blake2b_amd64.s          |  279 ++
 .../x/crypto/blake2b/blake2b_generic.go       |  182 ++
 .../x/crypto/blake2b/blake2b_ref.go           |   12 +
 vendor/golang.org/x/crypto/blake2b/blake2x.go |  177 ++
 .../golang.org/x/crypto/blake2b/register.go   |   33 +
 vendor/golang.org/x/crypto/blake2s/blake2s.go |  246 ++
 .../x/crypto/blake2s/blake2s_386.go           |   33 +
 .../golang.org/x/crypto/blake2s/blake2s_386.s |  430 +++
 .../x/crypto/blake2s/blake2s_amd64.go         |   38 +
 .../x/crypto/blake2s/blake2s_amd64.s          |  433 +++
 .../x/crypto/blake2s/blake2s_generic.go       |  178 ++
 .../x/crypto/blake2s/blake2s_ref.go           |   18 +
 vendor/golang.org/x/crypto/blake2s/blake2x.go |  178 ++
 .../golang.org/x/crypto/blake2s/register.go   |   22 +
 vendor/golang.org/x/crypto/bn256/bn256.go     |  429 +++
 vendor/golang.org/x/crypto/bn256/constants.go |   44 +
 vendor/golang.org/x/crypto/bn256/curve.go     |  287 ++
 vendor/golang.org/x/crypto/bn256/gfp12.go     |  200 ++
 vendor/golang.org/x/crypto/bn256/gfp2.go      |  219 ++
 vendor/golang.org/x/crypto/bn256/gfp6.go      |  296 ++
 vendor/golang.org/x/crypto/bn256/optate.go    |  395 +++
 vendor/golang.org/x/crypto/bn256/twist.go     |  258 ++
 vendor/golang.org/x/crypto/cast5/cast5.go     |  533 ++++
 .../x/crypto/chacha20/chacha_arm64.go         |    3 +-
 .../x/crypto/chacha20/chacha_arm64.s          |    3 +-
 .../x/crypto/chacha20/chacha_noasm.go         |    3 +-
 .../x/crypto/chacha20/chacha_ppc64le.go       |    3 +-
 .../x/crypto/chacha20/chacha_ppc64le.s        |    3 +-
 .../x/crypto/chacha20/chacha_s390x.go         |    3 +-
 .../x/crypto/chacha20/chacha_s390x.s          |    3 +-
 .../chacha20poly1305/chacha20poly1305.go      |   98 +
 .../chacha20poly1305_amd64.go                 |   87 +
 .../chacha20poly1305/chacha20poly1305_amd64.s | 2696 +++++++++++++++++
 .../chacha20poly1305_generic.go               |   81 +
 .../chacha20poly1305_noasm.go                 |   16 +
 .../chacha20poly1305/xchacha20poly1305.go     |   86 +
 vendor/golang.org/x/crypto/codereview.cfg     |    1 +
 vendor/golang.org/x/crypto/cryptobyte/asn1.go |   59 +-
 .../x/crypto/curve25519/curve25519.go         |   52 +-
 .../x/crypto/curve25519/curve25519_amd64.go   |  240 --
 .../x/crypto/curve25519/curve25519_amd64.s    | 1793 -----------
 .../x/crypto/curve25519/curve25519_generic.go |  828 -----
 .../x/crypto/curve25519/curve25519_noasm.go   |   11 -
 .../x/crypto/curve25519/internal/field/README |    7 +
 .../internal/field/_asm/fe_amd64_asm.go       |  298 ++
 .../curve25519/internal/field/_asm/go.mod     |   10 +
 .../curve25519/internal/field/_asm/go.sum     |   34 +
 .../x/crypto/curve25519/internal/field/fe.go  |  416 +++
 .../curve25519/internal/field/fe_amd64.go     |   13 +
 .../curve25519/internal/field/fe_amd64.s      |  379 +++
 .../internal/field/fe_amd64_noasm.go          |   12 +
 .../curve25519/internal/field/fe_arm64.go     |   16 +
 .../curve25519/internal/field/fe_arm64.s      |   43 +
 .../internal/field/fe_arm64_noasm.go          |   12 +
 .../curve25519/internal/field/fe_generic.go   |  264 ++
 .../curve25519/internal/field/sync.checkpoint |    1 +
 .../crypto/curve25519/internal/field/sync.sh  |   19 +
 vendor/golang.org/x/crypto/ed25519/ed25519.go |  187 +-
 .../x/crypto/ed25519/ed25519_go113.go         |   73 -
 .../ed25519/internal/edwards25519/const.go    | 1422 ---------
 .../internal/edwards25519/edwards25519.go     | 1793 -----------
 vendor/golang.org/x/crypto/go.mod             |   10 +-
 vendor/golang.org/x/crypto/go.sum             |   11 +
 vendor/golang.org/x/crypto/hkdf/hkdf.go       |   93 +
 .../{ => internal}/poly1305/bits_compat.go    |    1 +
 .../{ => internal}/poly1305/bits_go1.13.go    |    1 +
 .../{ => internal}/poly1305/mac_noasm.go      |    3 +-
 .../{ => internal}/poly1305/poly1305.go       |    2 +-
 .../{ => internal}/poly1305/sum_amd64.go      |    3 +-
 .../{ => internal}/poly1305/sum_amd64.s       |    3 +-
 .../{ => internal}/poly1305/sum_generic.go    |    0
 .../{ => internal}/poly1305/sum_ppc64le.go    |    3 +-
 .../{ => internal}/poly1305/sum_ppc64le.s     |   21 +-
 .../{ => internal}/poly1305/sum_s390x.go      |    3 +-
 .../{ => internal}/poly1305/sum_s390x.s       |    5 +-
 .../x/crypto/internal/subtle/aliasing.go      |    3 +-
 ...iasing_appengine.go => aliasing_purego.go} |    3 +-
 .../x/crypto/internal/wycheproof/README.md    |   12 +
 .../internal/wycheproof/internal/dsa/dsa.go   |   33 +
 vendor/golang.org/x/crypto/md4/md4.go         |  122 +
 vendor/golang.org/x/crypto/md4/md4block.go    |   89 +
 vendor/golang.org/x/crypto/nacl/auth/auth.go  |   58 +
 vendor/golang.org/x/crypto/nacl/box/box.go    |  182 ++
 .../x/crypto/nacl/secretbox/secretbox.go      |    2 +-
 vendor/golang.org/x/crypto/ocsp/ocsp.go       |    2 +-
 .../x/crypto/openpgp/armor/armor.go           |  230 ++
 .../x/crypto/openpgp/armor/encode.go          |  160 +
 .../x/crypto/openpgp/canonical_text.go        |   59 +
 .../x/crypto/openpgp/clearsign/clearsign.go   |  424 +++
 .../x/crypto/openpgp/elgamal/elgamal.go       |  130 +
 .../x/crypto/openpgp/errors/errors.go         |   78 +
 vendor/golang.org/x/crypto/openpgp/keys.go    |  693 +++++
 .../x/crypto/openpgp/packet/compressed.go     |  123 +
 .../x/crypto/openpgp/packet/config.go         |   91 +
 .../x/crypto/openpgp/packet/encrypted_key.go  |  208 ++
 .../x/crypto/openpgp/packet/literal.go        |   89 +
 .../x/crypto/openpgp/packet/ocfb.go           |  143 +
 .../openpgp/packet/one_pass_signature.go      |   73 +
 .../x/crypto/openpgp/packet/opaque.go         |  162 +
 .../x/crypto/openpgp/packet/packet.go         |  590 ++++
 .../x/crypto/openpgp/packet/private_key.go    |  385 +++
 .../x/crypto/openpgp/packet/public_key.go     |  753 +++++
 .../x/crypto/openpgp/packet/public_key_v3.go  |  279 ++
 .../x/crypto/openpgp/packet/reader.go         |   76 +
 .../x/crypto/openpgp/packet/signature.go      |  731 +++++
 .../x/crypto/openpgp/packet/signature_v3.go   |  146 +
 .../openpgp/packet/symmetric_key_encrypted.go |  155 +
 .../openpgp/packet/symmetrically_encrypted.go |  290 ++
 .../x/crypto/openpgp/packet/userattribute.go  |   91 +
 .../x/crypto/openpgp/packet/userid.go         |  160 +
 vendor/golang.org/x/crypto/openpgp/read.go    |  448 +++
 vendor/golang.org/x/crypto/openpgp/s2k/s2k.go |  279 ++
 vendor/golang.org/x/crypto/openpgp/write.go   |  418 +++
 .../x/crypto/poly1305/poly1305_compat.go      |   91 +
 .../x/crypto/ripemd160/ripemd160.go           |  124 +
 .../x/crypto/ripemd160/ripemd160block.go      |  165 +
 .../x/crypto/salsa20/salsa/salsa20_amd64.go   |    3 +-
 .../x/crypto/salsa20/salsa/salsa20_amd64.s    |  238 +-
 .../x/crypto/salsa20/salsa/salsa20_noasm.go   |    3 +-
 vendor/golang.org/x/crypto/salsa20/salsa20.go |   58 +
 vendor/golang.org/x/crypto/scrypt/scrypt.go   |  212 ++
 vendor/golang.org/x/crypto/sha3/doc.go        |   66 +
 vendor/golang.org/x/crypto/sha3/hashes.go     |   97 +
 .../x/crypto/sha3/hashes_generic.go           |   28 +
 vendor/golang.org/x/crypto/sha3/keccakf.go    |  413 +++
 .../golang.org/x/crypto/sha3/keccakf_amd64.go |   14 +
 .../golang.org/x/crypto/sha3/keccakf_amd64.s  |  391 +++
 vendor/golang.org/x/crypto/sha3/register.go   |   19 +
 vendor/golang.org/x/crypto/sha3/sha3.go       |  193 ++
 vendor/golang.org/x/crypto/sha3/sha3_s390x.go |  285 ++
 vendor/golang.org/x/crypto/sha3/sha3_s390x.s  |   34 +
 vendor/golang.org/x/crypto/sha3/shake.go      |  173 ++
 .../golang.org/x/crypto/sha3/shake_generic.go |   20 +
 vendor/golang.org/x/crypto/sha3/xor.go        |   24 +
 .../golang.org/x/crypto/sha3/xor_generic.go   |   28 +
 .../golang.org/x/crypto/sha3/xor_unaligned.go |   68 +
 .../golang.org/x/crypto/ssh/agent/client.go   |  819 +++++
 .../golang.org/x/crypto/ssh/agent/forward.go  |  103 +
 .../golang.org/x/crypto/ssh/agent/keyring.go  |  241 ++
 .../golang.org/x/crypto/ssh/agent/server.go   |  570 ++++
 vendor/golang.org/x/crypto/ssh/certs.go       |   85 +-
 vendor/golang.org/x/crypto/ssh/cipher.go      |   10 +-
 vendor/golang.org/x/crypto/ssh/client.go      |   20 +-
 vendor/golang.org/x/crypto/ssh/client_auth.go |  132 +-
 vendor/golang.org/x/crypto/ssh/common.go      |   76 +-
 vendor/golang.org/x/crypto/ssh/handshake.go   |   81 +-
 vendor/golang.org/x/crypto/ssh/kex.go         |  186 +-
 vendor/golang.org/x/crypto/ssh/keys.go        |  149 +-
 .../x/crypto/ssh/knownhosts/knownhosts.go     |  540 ++++
 vendor/golang.org/x/crypto/ssh/messages.go    |   21 +-
 vendor/golang.org/x/crypto/ssh/server.go      |   50 +-
 vendor/golang.org/x/crypto/ssh/session.go     |    1 +
 .../x/crypto/ssh/terminal/terminal.go         |   76 +
 vendor/golang.org/x/crypto/ssh/transport.go   |   10 +-
 vendor/golang.org/x/crypto/tea/cipher.go      |  116 +
 vendor/golang.org/x/crypto/twofish/twofish.go |  348 +++
 vendor/golang.org/x/crypto/xtea/block.go      |   66 +
 vendor/golang.org/x/crypto/xtea/cipher.go     |   90 +
 vendor/golang.org/x/crypto/xts/xts.go         |  164 +
 185 files changed, 31570 insertions(+), 6780 deletions(-)
 create mode 100644 vendor/golang.org/x/crypto/acme/acme.go
 create mode 100644 vendor/golang.org/x/crypto/acme/autocert/autocert.go
 create mode 100644 vendor/golang.org/x/crypto/acme/autocert/cache.go
 create mode 100644 vendor/golang.org/x/crypto/acme/autocert/internal/acmetest/ca.go
 create mode 100644 vendor/golang.org/x/crypto/acme/autocert/listener.go
 create mode 100644 vendor/golang.org/x/crypto/acme/autocert/renewal.go
 create mode 100644 vendor/golang.org/x/crypto/acme/http.go
 create mode 100644 vendor/golang.org/x/crypto/acme/internal/acmeprobe/prober.go
 create mode 100644 vendor/golang.org/x/crypto/acme/jws.go
 create mode 100644 vendor/golang.org/x/crypto/acme/rfc8555.go
 create mode 100644 vendor/golang.org/x/crypto/acme/types.go
 create mode 100644 vendor/golang.org/x/crypto/acme/version_go112.go
 create mode 100644 vendor/golang.org/x/crypto/argon2/argon2.go
 create mode 100644 vendor/golang.org/x/crypto/argon2/blake2b.go
 create mode 100644 vendor/golang.org/x/crypto/argon2/blamka_amd64.go
 create mode 100644 vendor/golang.org/x/crypto/argon2/blamka_amd64.s
 create mode 100644 vendor/golang.org/x/crypto/argon2/blamka_generic.go
 create mode 100644 vendor/golang.org/x/crypto/argon2/blamka_ref.go
 create mode 100644 vendor/golang.org/x/crypto/bcrypt/base64.go
 create mode 100644 vendor/golang.org/x/crypto/bcrypt/bcrypt.go
 create mode 100644 vendor/golang.org/x/crypto/blake2b/blake2b.go
 create mode 100644 vendor/golang.org/x/crypto/blake2b/blake2bAVX2_amd64.go
 create mode 100644 vendor/golang.org/x/crypto/blake2b/blake2bAVX2_amd64.s
 create mode 100644 vendor/golang.org/x/crypto/blake2b/blake2b_amd64.go
 create mode 100644 vendor/golang.org/x/crypto/blake2b/blake2b_amd64.s
 create mode 100644 vendor/golang.org/x/crypto/blake2b/blake2b_generic.go
 create mode 100644 vendor/golang.org/x/crypto/blake2b/blake2b_ref.go
 create mode 100644 vendor/golang.org/x/crypto/blake2b/blake2x.go
 create mode 100644 vendor/golang.org/x/crypto/blake2b/register.go
 create mode 100644 vendor/golang.org/x/crypto/blake2s/blake2s.go
 create mode 100644 vendor/golang.org/x/crypto/blake2s/blake2s_386.go
 create mode 100644 vendor/golang.org/x/crypto/blake2s/blake2s_386.s
 create mode 100644 vendor/golang.org/x/crypto/blake2s/blake2s_amd64.go
 create mode 100644 vendor/golang.org/x/crypto/blake2s/blake2s_amd64.s
 create mode 100644 vendor/golang.org/x/crypto/blake2s/blake2s_generic.go
 create mode 100644 vendor/golang.org/x/crypto/blake2s/blake2s_ref.go
 create mode 100644 vendor/golang.org/x/crypto/blake2s/blake2x.go
 create mode 100644 vendor/golang.org/x/crypto/blake2s/register.go
 create mode 100644 vendor/golang.org/x/crypto/bn256/bn256.go
 create mode 100644 vendor/golang.org/x/crypto/bn256/constants.go
 create mode 100644 vendor/golang.org/x/crypto/bn256/curve.go
 create mode 100644 vendor/golang.org/x/crypto/bn256/gfp12.go
 create mode 100644 vendor/golang.org/x/crypto/bn256/gfp2.go
 create mode 100644 vendor/golang.org/x/crypto/bn256/gfp6.go
 create mode 100644 vendor/golang.org/x/crypto/bn256/optate.go
 create mode 100644 vendor/golang.org/x/crypto/bn256/twist.go
 create mode 100644 vendor/golang.org/x/crypto/cast5/cast5.go
 create mode 100644 vendor/golang.org/x/crypto/chacha20poly1305/chacha20poly1305.go
 create mode 100644 vendor/golang.org/x/crypto/chacha20poly1305/chacha20poly1305_amd64.go
 create mode 100644 vendor/golang.org/x/crypto/chacha20poly1305/chacha20poly1305_amd64.s
 create mode 100644 vendor/golang.org/x/crypto/chacha20poly1305/chacha20poly1305_generic.go
 create mode 100644 vendor/golang.org/x/crypto/chacha20poly1305/chacha20poly1305_noasm.go
 create mode 100644 vendor/golang.org/x/crypto/chacha20poly1305/xchacha20poly1305.go
 create mode 100644 vendor/golang.org/x/crypto/codereview.cfg
 delete mode 100644 vendor/golang.org/x/crypto/curve25519/curve25519_amd64.go
 delete mode 100644 vendor/golang.org/x/crypto/curve25519/curve25519_amd64.s
 delete mode 100644 vendor/golang.org/x/crypto/curve25519/curve25519_generic.go
 delete mode 100644 vendor/golang.org/x/crypto/curve25519/curve25519_noasm.go
 create mode 100644 vendor/golang.org/x/crypto/curve25519/internal/field/README
 create mode 100644 vendor/golang.org/x/crypto/curve25519/internal/field/_asm/fe_amd64_asm.go
 create mode 100644 vendor/golang.org/x/crypto/curve25519/internal/field/_asm/go.mod
 create mode 100644 vendor/golang.org/x/crypto/curve25519/internal/field/_asm/go.sum
 create mode 100644 vendor/golang.org/x/crypto/curve25519/internal/field/fe.go
 create mode 100644 vendor/golang.org/x/crypto/curve25519/internal/field/fe_amd64.go
 create mode 100644 vendor/golang.org/x/crypto/curve25519/internal/field/fe_amd64.s
 create mode 100644 vendor/golang.org/x/crypto/curve25519/internal/field/fe_amd64_noasm.go
 create mode 100644 vendor/golang.org/x/crypto/curve25519/internal/field/fe_arm64.go
 create mode 100644 vendor/golang.org/x/crypto/curve25519/internal/field/fe_arm64.s
 create mode 100644 vendor/golang.org/x/crypto/curve25519/internal/field/fe_arm64_noasm.go
 create mode 100644 vendor/golang.org/x/crypto/curve25519/internal/field/fe_generic.go
 create mode 100644 vendor/golang.org/x/crypto/curve25519/internal/field/sync.checkpoint
 create mode 100755 vendor/golang.org/x/crypto/curve25519/internal/field/sync.sh
 delete mode 100644 vendor/golang.org/x/crypto/ed25519/ed25519_go113.go
 delete mode 100644 vendor/golang.org/x/crypto/ed25519/internal/edwards25519/const.go
 delete mode 100644 vendor/golang.org/x/crypto/ed25519/internal/edwards25519/edwards25519.go
 create mode 100644 vendor/golang.org/x/crypto/go.sum
 create mode 100644 vendor/golang.org/x/crypto/hkdf/hkdf.go
 rename vendor/golang.org/x/crypto/{ => internal}/poly1305/bits_compat.go (98%)
 rename vendor/golang.org/x/crypto/{ => internal}/poly1305/bits_go1.13.go (96%)
 rename vendor/golang.org/x/crypto/{ => internal}/poly1305/mac_noasm.go (66%)
 rename vendor/golang.org/x/crypto/{ => internal}/poly1305/poly1305.go (98%)
 rename vendor/golang.org/x/crypto/{ => internal}/poly1305/sum_amd64.go (95%)
 rename vendor/golang.org/x/crypto/{ => internal}/poly1305/sum_amd64.s (98%)
 rename vendor/golang.org/x/crypto/{ => internal}/poly1305/sum_generic.go (100%)
 rename vendor/golang.org/x/crypto/{ => internal}/poly1305/sum_ppc64le.go (95%)
 rename vendor/golang.org/x/crypto/{ => internal}/poly1305/sum_ppc64le.s (94%)
 rename vendor/golang.org/x/crypto/{ => internal}/poly1305/sum_s390x.go (97%)
 rename vendor/golang.org/x/crypto/{ => internal}/poly1305/sum_s390x.s (99%)
 rename vendor/golang.org/x/crypto/internal/subtle/{aliasing_appengine.go => aliasing_purego.go} (97%)
 create mode 100644 vendor/golang.org/x/crypto/internal/wycheproof/README.md
 create mode 100644 vendor/golang.org/x/crypto/internal/wycheproof/internal/dsa/dsa.go
 create mode 100644 vendor/golang.org/x/crypto/md4/md4.go
 create mode 100644 vendor/golang.org/x/crypto/md4/md4block.go
 create mode 100644 vendor/golang.org/x/crypto/nacl/auth/auth.go
 create mode 100644 vendor/golang.org/x/crypto/nacl/box/box.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/armor/armor.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/armor/encode.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/canonical_text.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/clearsign/clearsign.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/elgamal/elgamal.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/errors/errors.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/keys.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/packet/compressed.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/packet/config.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/packet/encrypted_key.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/packet/literal.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/packet/ocfb.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/packet/one_pass_signature.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/packet/opaque.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/packet/packet.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/packet/private_key.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/packet/public_key.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/packet/public_key_v3.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/packet/reader.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/packet/signature.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/packet/signature_v3.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/packet/symmetric_key_encrypted.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/packet/symmetrically_encrypted.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/packet/userattribute.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/packet/userid.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/read.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/s2k/s2k.go
 create mode 100644 vendor/golang.org/x/crypto/openpgp/write.go
 create mode 100644 vendor/golang.org/x/crypto/poly1305/poly1305_compat.go
 create mode 100644 vendor/golang.org/x/crypto/ripemd160/ripemd160.go
 create mode 100644 vendor/golang.org/x/crypto/ripemd160/ripemd160block.go
 create mode 100644 vendor/golang.org/x/crypto/salsa20/salsa20.go
 create mode 100644 vendor/golang.org/x/crypto/scrypt/scrypt.go
 create mode 100644 vendor/golang.org/x/crypto/sha3/doc.go
 create mode 100644 vendor/golang.org/x/crypto/sha3/hashes.go
 create mode 100644 vendor/golang.org/x/crypto/sha3/hashes_generic.go
 create mode 100644 vendor/golang.org/x/crypto/sha3/keccakf.go
 create mode 100644 vendor/golang.org/x/crypto/sha3/keccakf_amd64.go
 create mode 100644 vendor/golang.org/x/crypto/sha3/keccakf_amd64.s
 create mode 100644 vendor/golang.org/x/crypto/sha3/register.go
 create mode 100644 vendor/golang.org/x/crypto/sha3/sha3.go
 create mode 100644 vendor/golang.org/x/crypto/sha3/sha3_s390x.go
 create mode 100644 vendor/golang.org/x/crypto/sha3/sha3_s390x.s
 create mode 100644 vendor/golang.org/x/crypto/sha3/shake.go
 create mode 100644 vendor/golang.org/x/crypto/sha3/shake_generic.go
 create mode 100644 vendor/golang.org/x/crypto/sha3/xor.go
 create mode 100644 vendor/golang.org/x/crypto/sha3/xor_generic.go
 create mode 100644 vendor/golang.org/x/crypto/sha3/xor_unaligned.go
 create mode 100644 vendor/golang.org/x/crypto/ssh/agent/client.go
 create mode 100644 vendor/golang.org/x/crypto/ssh/agent/forward.go
 create mode 100644 vendor/golang.org/x/crypto/ssh/agent/keyring.go
 create mode 100644 vendor/golang.org/x/crypto/ssh/agent/server.go
 create mode 100644 vendor/golang.org/x/crypto/ssh/knownhosts/knownhosts.go
 create mode 100644 vendor/golang.org/x/crypto/ssh/terminal/terminal.go
 create mode 100644 vendor/golang.org/x/crypto/tea/cipher.go
 create mode 100644 vendor/golang.org/x/crypto/twofish/twofish.go
 create mode 100644 vendor/golang.org/x/crypto/xtea/block.go
 create mode 100644 vendor/golang.org/x/crypto/xtea/cipher.go
 create mode 100644 vendor/golang.org/x/crypto/xts/xts.go

diff --git a/vendor.conf b/vendor.conf
index 04ac7581af..efd71515bb 100644
--- a/vendor.conf
+++ b/vendor.conf
@@ -152,7 +152,7 @@ github.com/golang/protobuf                          84668698ea25b64748563aa20726
 github.com/cloudflare/cfssl                         5d63dbd981b5c408effbb58c442d54761ff94fbd # 1.3.2
 github.com/fernet/fernet-go                         9eac43b88a5efb8651d24de9b68e87567e029736
 github.com/google/certificate-transparency-go       37a384cd035e722ea46e55029093e26687138edf # v1.0.20
-golang.org/x/crypto                                 c1f2f97bffc9c53fc40a1a28a5b460094c0050d9
+golang.org/x/crypto                                 3147a52a75dda54ac3a611ef8978640d85188a2a
 golang.org/x/time                                   555d28b269f0569763d25dbe1a237ae74c6bcc82
 github.com/hashicorp/go-memdb                       cb9a474f84cc5e41b273b20c6927680b2a8776ad
 github.com/hashicorp/go-immutable-radix             826af9ccf0feeee615d546d69b11f8e98da8c8f1 https://github.com/tonistiigi/go-immutable-radix.git
